## Universal Extractor 2 supports the following file types:

**Bold** items are new in UniExtract 2 and were not supported by the latest official version

### Compressed archives

| Archive type   | Common file extension(s)                                     |
| -------------- | ------------------------------------------------------------ |
| 7-zip          | .7z, .exe, .001                                              |
| ACE            | .ace, .exe                                                   |
| **ALZip**      | .alz                                                         |
| ARC            | .arc                                                         |
| ARJ            | .arj, .exe                                                   |
| **BCM**        | .bcm                                                         |
| **BGA**        | .bza, .gza                                                   |
| bzip2          | .bz2, .tbz2, .tar.bz2                                        |
| CPIO           | .cpio                                                        |
| **DGCA**       | .dgc                                                         |
| **FreeArc**¹   | .arc                                                         |
| gzip archive   | .gz, .tgz, .tar.gz, .ipk                                     |
| KGB            | .kgb, kge, .exe                                              |
| Linux packages | .deb, .rpm                                                   |
| **LZIP**       | .lz                                                          |
| LZH            | .lzh, .lha                                                   |
| LZMA           | .lzma                                                        |
| LZO            | .lzo                                                         |
| LZW            | .Z, .tz, .tar.Z                                              |
| LZX            | .lzx                                                         |
| PEA            | .pea                                                         |
| RAR            | .rar, .exe, .001, .r00, .part1.rar                           |
| **StuffIt**    | .sit, sitx                                                   |
| TAR            | .tar, .tbz2, .tgz, .txz, .tz, .tar.bz2, .tar.gz, .tar.xz, .tar.Z, ctar |
| UHARC          | .uha                                                         |
| UPX            | .exe, .dll                                                   |
| XZ             | .xz, .txz, .tar.xz                                           |
| ZIP            | .zip, .jar, .xpi, .wz, .exe, .imz                            |
| Zoo            | .zoo                                                         |
| ZPAQ           | .zpaq                                                        |

### Installers

| Installer type                | Common file extension(s)           |
| ----------------------------- | ---------------------------------- |
| **Actual Installer**¹         | .exe                               |
| **Advanced Installer**        | .exe                               |
| **Clickteam Install Creator** | .exe                               |
| **Create Install**            | .exe                               |
| **Excelsior Installer**       | .exe                               |
| Gentee                        | .exe                               |
| **Ghost Installer**           | .exe                               |
| Inno Setup                    | .exe                               |
| **Install4j**                 | .exe                               |
| **InstallAware**              | .exe                               |
| Installer VISE                | .exe                               |
| **InstallScript**             | .exe                               |
| InstallShield                 | .cab, .exe                         |
| **MSCF**                      | .exe                               |
| **Netopsystems FEAD**         | .exe                               |
| NSIS                          | .exe                               |
| Self-Extracting Zip           | .exe                               |
| SetupFactory¹                 | .exe                               |
| **Smart Install Maker**       | .exe                               |
| **Spoon Installer**           | .exe                               |
| **SuperDAT Updater**          | .exe                               |
| **SymbianOS/EPOC Installer**  | .sis, sisx                         |
| Windows Installer             | .cab, .exe, .msm, .msi, .msp, .msu |
| Wise                          | .exe                               |
| WiX                           | .exe                               |

### Disk images

| Image type                      | Common file extension(s) |
| ------------------------------- | ------------------------ |
| **Amiga disk format**           | .adf                     |
| **Android boot image**          | .img                     |
| **Apple Disk Image**            | .dmg                     |
| BIN/CUE                         | .bin, .cue               |
| DiscJuggler CD-ROM image        | .cdi                     |
| **Error Code Modeler**          | .ecm                     |
| **gBurner Image**               | .gbi                     |
| IMG floppy disk image           | .img                     |
| ISO 9660                        | .iso                     |
| **ISO Zipped format**           | .isz                     |
| HTC NBH ROM image               | .nbh                     |
| Nero                            | .nrg                     |
| **PowerISO**                    | .daa                     |
| **Magic ISO Image**             | .uif                     |
| **VirtualBox Disk Image**       | .vdi                     |
| **Virtual PC Virtual HD image** | .vhd                     |
| **VMware 4 Virtual Disk**       | .vmdk                    |
| Windows Imaging Format          | .wim                     |

### Multimedia

| File type                   | Common file extensions                                      | Details                                        |
| ------------------------------ | ----------------------------------------------------------- | ---------------------------------------------- |
| **Animated images**            | .gif, .png                                                  | Extracts individual frames from animated images |
| **Audio files**                | .mp3, .ogg, .flac, .wma, .m4a, .aa,...                      | Convert compressed audio to .wav               |
| **Flash files**                | .swf, .exe                                                  | Extract images, audio, flash components |
| **FMOD Sample Bank**           | .fsb                                                        |                                                |
| **sfArk compressed soundfont** | .sfark                                                      |                                                |
| **Video files**                | .avi, .mp4, .mkv, .ogv, .webm, .wmv, .3gp, .m4v, .flv, .smk | Extracts all audio and video tracks            |

### Game archives

| Game engine/archive            | Common file extensions                              | Details |
| ------------------------------ | --------------------------------------------------- | ------- |
| **Bethesda Archive**           | .bsa, .ba2, .dat, .pex                              |         |
| **Bruns Engine**               | .png, .um3                                          |         |
| **Godot Engine packages**      | .exe, .pck                                          |         |
| **KiriKiri**                   | .xp3                                                |         |
| **LiveMaker**                  | .dat, .gal                                          |         |
| **NScripter**                  | .nsa, .ns2, .sar                                    |         |
| **Ren'Py Visual Novel Engine** | .rpa                                                |         |
| **RPG Maker**                  | .rgssad, .rgss2a, .rgss3a, .rpgmvp, .rpgmvo, rpgmvm |         |
| **Smile Game builder**¹        | .sgbpack                                            |         |
| **Telltale archive**           | .ttarch                                             |         |
| **Unity**¹                     | .assets, .unity3d, .resource                        |         |
| **Unreal Engine**¹             | ...                                                 |         |
| **UTAGE**                      | .utage                                              |         |
| **Visionaire Engine**          | .vis, .vc001, .vv001                                |         |
| **WinterMute Engine**          | .dcp                                                |         |
| **Wolf RPG Editor**            | .wolf                                               |         |
| **YU-RIS**                     | .ypf, .ycg                                          |         |

... and 500+ other game archives.

### Text-based files

| File type                       | Common file extension(s)                |
| ------------------------------- | --------------------------------------- |
| **E-Mail message format**       | .eml                                    |
| Encoded files                   | .b64, .ntx, .uu, .uue, .xx, .xxe, .yenc |
| **GNU Gettext message catalog** | .mo                                     |
| Microsoft Compiled Help file    | .chm                                    |
| Microsoft Reader eBook          | .lit                                    |
| Microsoft Windows Help file     | .hlp                                    |
| MIME HTML archive               | .mht                                    |
| Outlook Express mail archive    | .dbx                                    |
| **Portable Document Format**¹   | .pdf                                    |
| **Qt Message**                  | .qm                                     |
| **SQLite database**             | .sqlite, .sqlite3, .db                  |

### Other

| File type              | Common file extension(s) |
| ---------------------- | ------------------------ |
| **Enigma Virtual Box** | .exe                     |
| **MoleBox**            | .exe                     |

**¹** Partly supported, some files cannot be extracted properly
